SIGSETOPS(3)

NAME
sigemptyset, sigfillset, sigaddset, sigdelset, sigismember - manipulate signal sets

SYNOPSIS
#include <signal.h>
int
sigemptyset(sigset_t *set);
int
sigfillset(sigset_t *set);
int
sigaddset(sigset_t *set, int signo);
int
sigdelset(sigset_t *set, int signo);
int
sigismember(const sigset_t *set, int signo);

DESCRIPTION
These functions manipulate signal sets stored in a sigset_t. Either sigemptyset() or sigfillset() must be called for every object of type sigset_t before any other use of the object. sigemptyset() and sigfillset() are provided as macros, but actual functions are available if their names are undefined (with #undef name).

The sigemptyset() function initializes a signal set to be empty.

sigfillset() initializes a signal set to contain all signals.

sigaddset() adds the specified signal signo to the signal set.

sigdelset() deletes the specified signal signo from the signal set.

sigismember() returns whether a specified signal signo is contained in the signal set.

RETURN VALUES
The sigismember() function returns 1 if the signal is a member of the set and 0 otherwise. The other functions return 0 upon success. A -1 return value indicates an error occurred and the global variable errno is set to indicate the reason.

ERRORS
These functions may fail if one of the following occurs:

[EINVAL]
    The specified signal signo is not a valid signal number.

SEE ALSO
kill(2), sigaction(2), sigpending(2), sigprocmask(2), sigsuspend(2)

STANDARDS
These functions are defined by p1003.1-90.